//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "ClientMain.h"
#include "GetIPu.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm1::FormShow(TObject *Sender)
{
  LabIP->Caption = "Ip local = "+GetIP->LocalIP;  
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ClienteConnect(TObject *Sender,
      TCustomWinSocket *Socket)
{
  Conectar->Enabled = false;
  Desconectar->Enabled = true;
  Enviar->Enabled = true;
  Cliente->Socket->SendText("C"+GetIP->LocalIP+";"+Nome->Text+";");
  Porta->Enabled = false;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ClienteDisconnect(TObject *Sender,
      TCustomWinSocket *Socket)
{
  Cliente->Socket->SendText("D"+GetIP->LocalIP+";"+Nome->Text+";");
  Conectar->Enabled = true;
  Desconectar->Enabled = false;
  Enviar->Enabled = false;
  Porta->Enabled = true;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ConectarClick(TObject *Sender)
{
  Cliente->Address = Server->Text;
  Cliente->Active = true;
  Cliente->Port = Porta->Text.ToInt();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::EnviarClick(TObject *Sender)
{
  if(Serial->Checked)
  Cliente->Socket->SendText("S"+GetIP->LocalIP+";"+Nome->Text+";"+Msg->Text);
  else
  Cliente->Socket->SendText("M"+GetIP->LocalIP+";"+Nome->Text+";"+Msg->Text);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::DesconectarClick(TObject *Sender)
{
  Cliente->Active = false;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::FormClose(TObject *Sender, TCloseAction &Action)
{
  if(Cliente->Active)
    Cliente->Active = false;
}
//---------------------------------------------------------------------------


void __fastcall TForm1::Button1Click(TObject *Sender)
{
  if(Form2->ShowModal() == mrOk)
  {
    FTP->Host = Form2->FTPA->Text;
    FTP->UserID = Form2->User->Text;
    FTP->Password = Form2->Password->Text;

    FTP->Connect();
  }  
}
//---------------------------------------------------------------------------

void __fastcall TForm1::FTPConnect(TObject *Sender)
{
  FTP->Download("SERVERIP.txt","SERVERIP.txt");
  if(FileExists("SERVERIP.txt"))
  {
    TStringList * File = new TStringList;
    File->LoadFromFile("SERVERIP.txt");
    Server->Text = File->Strings[0];
    Porta->Text = File->Strings[1];
    delete(File);
    DeleteFile("SERVERIP.txt");
  }
}
//---------------------------------------------------------------------------



void __fastcall TForm1::FTPError(TComponent *Sender, WORD Errno,
      AnsiString Errmsg)
{
  ShowMessage("Erro ao tentar acessar o FTP");  
}
//---------------------------------------------------------------------------

void __fastcall TForm1::FTPUnSupportedFunction(TCmdType Trans_Type)
{
  ShowMessage("Erro ao tentar acessar o FTP");
}
//---------------------------------------------------------------------------

